Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1597316 - flann: fails to build from sources
Summary: flann: fails to build from sources
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: flann
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON37
TreeView+ depends on / blocked
 
Reported: 2018-07-02 14:51 UTC by Marcel Plch
Modified: 2018-07-18 19:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-18 19:47:07 UTC


Attachments (Terms of Use)

Description Marcel Plch 2018-07-02 14:51:37 UTC
Description of problem:
Flann package fails to build from sources in rawhide.

Version-Release number of selected component (if applicable):
1.8.4-17

How reproducible:
always

Steps to Reproduce:
1. fedpkg clone flann
2. cd flann
3. fedpkg mockbuild -r fedora-rawhide-x86_64

Actual results:
fails to build

Expected results:
build passes

Comment 1 Miro Hrončok 2018-07-17 12:34:50 UTC
Rich?

Comment 2 Rich Mattes 2018-07-18 19:47:07 UTC
The error had to do with how flann uses CMake to generate shared libraries from static libraries.  Fixed in rawhide


Note You need to log in before you can comment on or make changes to this bug.